Subject: bug#22203: 25.0.50; # is treated as a comment character in shell-command arg

From: Kaushal Modi <[email-masked]>
Date: Fri, 18 Dec 2015 14:59:39 -0500

> So, perhaps, for some reason, emacs 25 and trunk use different shells on
> your system?

That was almost the case.. the shells weren't different though. The
shell was the same: tcsh.

(shell-command "echo abc#def" "*test*")

If I run the above shell-command in an emacs started as below,
everything is good; I see "abc#def" printed in the *test* buffer.

HOST> emacs -Q&

But if I run the SAME shell-command in an emacs started as below, I
see only "abc" printed in the *test* buffer.

HOST> ssh HOST
HOST> emacs -Q&

This is the regardless of the emacs version. I incorrectly thought
earlier that it had to do with emacs-25 branch version vs the master
branch version.